// Code generated by protoc-gen-go-grpc. DO NOT EDIT.

package auth_private

import (
	context "context"
	empty "github.com/golang/protobuf/ptypes/empty"
	auth_common "gitlab.com/fcpartners/apis/gen/accounting/v1/auth_common"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
)

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
// Requires gRPC-Go v1.32.0 or later.
const _ = grpc.SupportPackageIsVersion7

// UserManagementServiceClient is the client API for UserManagementService service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://pkg.go.dev/google.golang.org/grpc/?tab=doc#ClientConn.NewStream.
type UserManagementServiceClient interface {
	SendCode(ctx context.Context, in *SendCodeRequest, opts ...grpc.CallOption) (*empty.Empty, error)
	CheckCode(ctx context.Context, in *CheckCodeRequest, opts ...grpc.CallOption) (*CheckCodeResponse, error)
	CheckUserByLogin(ctx context.Context, in *CheckUserByLoginRequest, opts ...grpc.CallOption) (*CheckUserByLoginResponse, error)
	GetUser(ctx context.Context, in *GetUserRequest, opts ...grpc.CallOption) (*auth_common.User, error)
	ListUsers(ctx context.Context, in *ListUsersRequest, opts ...grpc.CallOption) (*ListUsersResponse, error)
	CreateUser(ctx context.Context, in *CreateUserRequest, opts ...grpc.CallOption) (*auth_common.User, error)
	UpdateUser(ctx context.Context, in *UpdateUserRequest, opts ...grpc.CallOption) (*auth_common.User, error)
	CheckPassword(ctx context.Context, in *CheckPasswordRequest, opts ...grpc.CallOption) (*CheckPasswordResponse, error)
	ChangePassword(ctx context.Context, in *ChangePasswordRequest, opts ...grpc.CallOption) (*empty.Empty, error)
	LockUser(ctx context.Context, in *LockUserRequest, opts ...grpc.CallOption) (*empty.Empty, error)
	UnlockUser(ctx context.Context, in *UnlockUserRequest, opts ...grpc.CallOption) (*empty.Empty, error)
	InitPasswordReset(ctx context.Context, in *InitPasswordResetRequest, opts ...grpc.CallOption) (*empty.Empty, error)
	ValidatePasswordResetToken(ctx context.Context, in *ValidatePasswordResetTokenRequest, opts ...grpc.CallOption) (*ValidatePasswordResetTokenResponse, error)
	ResetPassword(ctx context.Context, in *ResetPasswordRequest, opts ...grpc.CallOption) (*empty.Empty, error)
	GetUserResetToken(ctx context.Context, in *GetUserResetTokenRequest, opts ...grpc.CallOption) (*GetUserResetTokenResponse, error)
	GetUsersByIds(ctx context.Context, in *GetUsersByIdsRequest, opts ...grpc.CallOption) (*GetUsersByIdsResponse, error)
	GetUsersByPatternForMessage(ctx context.Context, in *GetUsersByPatternForMessageRequest, opts ...grpc.CallOption) (*GetUsersByPatternForMessageResponse, error)
	ListReferralUsers(ctx context.Context, in *ListReferralUsersRequest, opts ...grpc.CallOption) (*ListReferralUsersResponse, error)
	// User related data
	ListContactPerson(ctx context.Context, in *auth_common.ListContactPersonRequest, opts ...grpc.CallOption) (*auth_common.ListContactPersonResponse, error)
	SaveContactPerson(ctx context.Context, in *auth_common.SaveContactPersonRequest, opts ...grpc.CallOption) (*auth_common.SaveContactPersonResponse, error)
	DeleteContactPerson(ctx context.Context, in *auth_common.DeleteContactPersonRequest, opts ...grpc.CallOption) (*auth_common.DeleteContactPersonResponse, error)
	ListLocation(ctx context.Context, in *auth_common.ListLocationRequest, opts ...grpc.CallOption) (*auth_common.ListLocationResponse, error)
	SaveLocation(ctx context.Context, in *auth_common.SaveLocationRequest, opts ...grpc.CallOption) (*auth_common.SaveLocationResponse, error)
	DeleteLocation(ctx context.Context, in *auth_common.DeleteLocationRequest, opts ...grpc.CallOption) (*auth_common.DeleteLocationResponse, error)
	ListDocument(ctx context.Context, in *auth_common.ListDocumentRequest, opts ...grpc.CallOption) (*auth_common.ListDocumentResponse, error)
	SaveDocument(ctx context.Context, in *auth_common.SaveDocumentRequest, opts ...grpc.CallOption) (*auth_common.SaveDocumentResponse, error)
	DeleteDocument(ctx context.Context, in *auth_common.DeleteDocumentRequest, opts ...grpc.CallOption) (*auth_common.DeleteDocumentResponse, error)
	// User counterparties
	GetCounterparty(ctx context.Context, in *auth_common.GetCounterpartyRequest, opts ...grpc.CallOption) (*auth_common.GetCounterpartyResponse, error)
	ListCounterparty(ctx context.Context, in *auth_common.ListCounterpartyRequest, opts ...grpc.CallOption) (*auth_common.ListCounterpartyResponse, error)
	SaveCounterparty(ctx context.Context, in *auth_common.SaveCounterpartyRequest, opts ...grpc.CallOption) (*auth_common.SaveCounterpartyResponse, error)
	DeleteCounterparty(ctx context.Context, in *auth_common.DeleteCounterpartyRequest, opts ...grpc.CallOption) (*auth_common.DeleteCounterpartyResponse, error)
	// User counterparty locations
	GetCounterpartyLocation(ctx context.Context, in *auth_common.GetCounterpartyLocationRequest, opts ...grpc.CallOption) (*auth_common.GetCounterpartyLocationResponse, error)
	ListCounterpartyLocation(ctx context.Context, in *auth_common.ListCounterpartyLocationRequest, opts ...grpc.CallOption) (*auth_common.ListCounterpartyLocationResponse, error)
	SaveCounterpartyLocation(ctx context.Context, in *auth_common.SaveCounterpartyLocationRequest, opts ...grpc.CallOption) (*auth_common.SaveCounterpartyLocationResponse, error)
	DeleteCounterpartyLocation(ctx context.Context, in *auth_common.DeleteCounterpartyLocationRequest, opts ...grpc.CallOption) (*auth_common.DeleteCounterpartyLocationResponse, error)
	SendPushNotification(ctx context.Context, in *SendPushRequest, opts ...grpc.CallOption) (*SendPushResponse, error)
	SendPushNotificationToRole(ctx context.Context, in *SendPushRequestToRole, opts ...grpc.CallOption) (*SendPushResponse, error)
}

type userManagementServiceClient struct {
	cc grpc.ClientConnInterface
}

func NewUserManagementServiceClient(cc grpc.ClientConnInterface) UserManagementServiceClient {
	return &userManagementServiceClient{cc}
}

func (c *userManagementServiceClient) SendCode(ctx context.Context, in *SendCodeRequest, opts ...grpc.CallOption) (*empty.Empty, error) {
	out := new(empty.Empty)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_private.UserManagementService/SendCode", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userManagementServiceClient) CheckCode(ctx context.Context, in *CheckCodeRequest, opts ...grpc.CallOption) (*CheckCodeResponse, error) {
	out := new(CheckCodeResponse)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_private.UserManagementService/CheckCode", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userManagementServiceClient) CheckUserByLogin(ctx context.Context, in *CheckUserByLoginRequest, opts ...grpc.CallOption) (*CheckUserByLoginResponse, error) {
	out := new(CheckUserByLoginResponse)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_private.UserManagementService/CheckUserByLogin", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userManagementServiceClient) GetUser(ctx context.Context, in *GetUserRequest, opts ...grpc.CallOption) (*auth_common.User, error) {
	out := new(auth_common.User)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_private.UserManagementService/GetUser", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userManagementServiceClient) ListUsers(ctx context.Context, in *ListUsersRequest, opts ...grpc.CallOption) (*ListUsersResponse, error) {
	out := new(ListUsersResponse)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_private.UserManagementService/ListUsers", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userManagementServiceClient) CreateUser(ctx context.Context, in *CreateUserRequest, opts ...grpc.CallOption) (*auth_common.User, error) {
	out := new(auth_common.User)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_private.UserManagementService/CreateUser", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userManagementServiceClient) UpdateUser(ctx context.Context, in *UpdateUserRequest, opts ...grpc.CallOption) (*auth_common.User, error) {
	out := new(auth_common.User)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_private.UserManagementService/UpdateUser", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userManagementServiceClient) CheckPassword(ctx context.Context, in *CheckPasswordRequest, opts ...grpc.CallOption) (*CheckPasswordResponse, error) {
	out := new(CheckPasswordResponse)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_private.UserManagementService/CheckPassword", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userManagementServiceClient) ChangePassword(ctx context.Context, in *ChangePasswordRequest, opts ...grpc.CallOption) (*empty.Empty, error) {
	out := new(empty.Empty)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_private.UserManagementService/ChangePassword", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userManagementServiceClient) LockUser(ctx context.Context, in *LockUserRequest, opts ...grpc.CallOption) (*empty.Empty, error) {
	out := new(empty.Empty)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_private.UserManagementService/LockUser", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userManagementServiceClient) UnlockUser(ctx context.Context, in *UnlockUserRequest, opts ...grpc.CallOption) (*empty.Empty, error) {
	out := new(empty.Empty)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_private.UserManagementService/UnlockUser", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userManagementServiceClient) InitPasswordReset(ctx context.Context, in *InitPasswordResetRequest, opts ...grpc.CallOption) (*empty.Empty, error) {
	out := new(empty.Empty)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_private.UserManagementService/InitPasswordReset", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userManagementServiceClient) ValidatePasswordResetToken(ctx context.Context, in *ValidatePasswordResetTokenRequest, opts ...grpc.CallOption) (*ValidatePasswordResetTokenResponse, error) {
	out := new(ValidatePasswordResetTokenResponse)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_private.UserManagementService/ValidatePasswordResetToken", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userManagementServiceClient) ResetPassword(ctx context.Context, in *ResetPasswordRequest, opts ...grpc.CallOption) (*empty.Empty, error) {
	out := new(empty.Empty)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_private.UserManagementService/ResetPassword", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userManagementServiceClient) GetUserResetToken(ctx context.Context, in *GetUserResetTokenRequest, opts ...grpc.CallOption) (*GetUserResetTokenResponse, error) {
	out := new(GetUserResetTokenResponse)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_private.UserManagementService/GetUserResetToken", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userManagementServiceClient) GetUsersByIds(ctx context.Context, in *GetUsersByIdsRequest, opts ...grpc.CallOption) (*GetUsersByIdsResponse, error) {
	out := new(GetUsersByIdsResponse)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_private.UserManagementService/GetUsersByIds", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userManagementServiceClient) GetUsersByPatternForMessage(ctx context.Context, in *GetUsersByPatternForMessageRequest, opts ...grpc.CallOption) (*GetUsersByPatternForMessageResponse, error) {
	out := new(GetUsersByPatternForMessageResponse)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_private.UserManagementService/GetUsersByPatternForMessage", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userManagementServiceClient) ListReferralUsers(ctx context.Context, in *ListReferralUsersRequest, opts ...grpc.CallOption) (*ListReferralUsersResponse, error) {
	out := new(ListReferralUsersResponse)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_private.UserManagementService/ListReferralUsers", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userManagementServiceClient) ListContactPerson(ctx context.Context, in *auth_common.ListContactPersonRequest, opts ...grpc.CallOption) (*auth_common.ListContactPersonResponse, error) {
	out := new(auth_common.ListContactPersonResponse)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_private.UserManagementService/ListContactPerson", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userManagementServiceClient) SaveContactPerson(ctx context.Context, in *auth_common.SaveContactPersonRequest, opts ...grpc.CallOption) (*auth_common.SaveContactPersonResponse, error) {
	out := new(auth_common.SaveContactPersonResponse)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_private.UserManagementService/SaveContactPerson", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userManagementServiceClient) DeleteContactPerson(ctx context.Context, in *auth_common.DeleteContactPersonRequest, opts ...grpc.CallOption) (*auth_common.DeleteContactPersonResponse, error) {
	out := new(auth_common.DeleteContactPersonResponse)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_private.UserManagementService/DeleteContactPerson", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userManagementServiceClient) ListLocation(ctx context.Context, in *auth_common.ListLocationRequest, opts ...grpc.CallOption) (*auth_common.ListLocationResponse, error) {
	out := new(auth_common.ListLocationResponse)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_private.UserManagementService/ListLocation", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userManagementServiceClient) SaveLocation(ctx context.Context, in *auth_common.SaveLocationRequest, opts ...grpc.CallOption) (*auth_common.SaveLocationResponse, error) {
	out := new(auth_common.SaveLocationResponse)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_private.UserManagementService/SaveLocation", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userManagementServiceClient) DeleteLocation(ctx context.Context, in *auth_common.DeleteLocationRequest, opts ...grpc.CallOption) (*auth_common.DeleteLocationResponse, error) {
	out := new(auth_common.DeleteLocationResponse)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_private.UserManagementService/DeleteLocation", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userManagementServiceClient) ListDocument(ctx context.Context, in *auth_common.ListDocumentRequest, opts ...grpc.CallOption) (*auth_common.ListDocumentResponse, error) {
	out := new(auth_common.ListDocumentResponse)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_private.UserManagementService/ListDocument", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userManagementServiceClient) SaveDocument(ctx context.Context, in *auth_common.SaveDocumentRequest, opts ...grpc.CallOption) (*auth_common.SaveDocumentResponse, error) {
	out := new(auth_common.SaveDocumentResponse)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_private.UserManagementService/SaveDocument", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userManagementServiceClient) DeleteDocument(ctx context.Context, in *auth_common.DeleteDocumentRequest, opts ...grpc.CallOption) (*auth_common.DeleteDocumentResponse, error) {
	out := new(auth_common.DeleteDocumentResponse)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_private.UserManagementService/DeleteDocument", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userManagementServiceClient) GetCounterparty(ctx context.Context, in *auth_common.GetCounterpartyRequest, opts ...grpc.CallOption) (*auth_common.GetCounterpartyResponse, error) {
	out := new(auth_common.GetCounterpartyResponse)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_private.UserManagementService/GetCounterparty", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userManagementServiceClient) ListCounterparty(ctx context.Context, in *auth_common.ListCounterpartyRequest, opts ...grpc.CallOption) (*auth_common.ListCounterpartyResponse, error) {
	out := new(auth_common.ListCounterpartyResponse)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_private.UserManagementService/ListCounterparty", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userManagementServiceClient) SaveCounterparty(ctx context.Context, in *auth_common.SaveCounterpartyRequest, opts ...grpc.CallOption) (*auth_common.SaveCounterpartyResponse, error) {
	out := new(auth_common.SaveCounterpartyResponse)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_private.UserManagementService/SaveCounterparty", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userManagementServiceClient) DeleteCounterparty(ctx context.Context, in *auth_common.DeleteCounterpartyRequest, opts ...grpc.CallOption) (*auth_common.DeleteCounterpartyResponse, error) {
	out := new(auth_common.DeleteCounterpartyResponse)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_private.UserManagementService/DeleteCounterparty", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userManagementServiceClient) GetCounterpartyLocation(ctx context.Context, in *auth_common.GetCounterpartyLocationRequest, opts ...grpc.CallOption) (*auth_common.GetCounterpartyLocationResponse, error) {
	out := new(auth_common.GetCounterpartyLocationResponse)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_private.UserManagementService/GetCounterpartyLocation", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userManagementServiceClient) ListCounterpartyLocation(ctx context.Context, in *auth_common.ListCounterpartyLocationRequest, opts ...grpc.CallOption) (*auth_common.ListCounterpartyLocationResponse, error) {
	out := new(auth_common.ListCounterpartyLocationResponse)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_private.UserManagementService/ListCounterpartyLocation", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userManagementServiceClient) SaveCounterpartyLocation(ctx context.Context, in *auth_common.SaveCounterpartyLocationRequest, opts ...grpc.CallOption) (*auth_common.SaveCounterpartyLocationResponse, error) {
	out := new(auth_common.SaveCounterpartyLocationResponse)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_private.UserManagementService/SaveCounterpartyLocation", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userManagementServiceClient) DeleteCounterpartyLocation(ctx context.Context, in *auth_common.DeleteCounterpartyLocationRequest, opts ...grpc.CallOption) (*auth_common.DeleteCounterpartyLocationResponse, error) {
	out := new(auth_common.DeleteCounterpartyLocationResponse)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_private.UserManagementService/DeleteCounterpartyLocation", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userManagementServiceClient) SendPushNotification(ctx context.Context, in *SendPushRequest, opts ...grpc.CallOption) (*SendPushResponse, error) {
	out := new(SendPushResponse)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_private.UserManagementService/SendPushNotification", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userManagementServiceClient) SendPushNotificationToRole(ctx context.Context, in *SendPushRequestToRole, opts ...grpc.CallOption) (*SendPushResponse, error) {
	out := new(SendPushResponse)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_private.UserManagementService/SendPushNotificationToRole", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// UserManagementServiceServer is the server API for UserManagementService service.
// All implementations must embed UnimplementedUserManagementServiceServer
// for forward compatibility
type UserManagementServiceServer interface {
	SendCode(context.Context, *SendCodeRequest) (*empty.Empty, error)
	CheckCode(context.Context, *CheckCodeRequest) (*CheckCodeResponse, error)
	CheckUserByLogin(context.Context, *CheckUserByLoginRequest) (*CheckUserByLoginResponse, error)
	GetUser(context.Context, *GetUserRequest) (*auth_common.User, error)
	ListUsers(context.Context, *ListUsersRequest) (*ListUsersResponse, error)
	CreateUser(context.Context, *CreateUserRequest) (*auth_common.User, error)
	UpdateUser(context.Context, *UpdateUserRequest) (*auth_common.User, error)
	CheckPassword(context.Context, *CheckPasswordRequest) (*CheckPasswordResponse, error)
	ChangePassword(context.Context, *ChangePasswordRequest) (*empty.Empty, error)
	LockUser(context.Context, *LockUserRequest) (*empty.Empty, error)
	UnlockUser(context.Context, *UnlockUserRequest) (*empty.Empty, error)
	InitPasswordReset(context.Context, *InitPasswordResetRequest) (*empty.Empty, error)
	ValidatePasswordResetToken(context.Context, *ValidatePasswordResetTokenRequest) (*ValidatePasswordResetTokenResponse, error)
	ResetPassword(context.Context, *ResetPasswordRequest) (*empty.Empty, error)
	GetUserResetToken(context.Context, *GetUserResetTokenRequest) (*GetUserResetTokenResponse, error)
	GetUsersByIds(context.Context, *GetUsersByIdsRequest) (*GetUsersByIdsResponse, error)
	GetUsersByPatternForMessage(context.Context, *GetUsersByPatternForMessageRequest) (*GetUsersByPatternForMessageResponse, error)
	ListReferralUsers(context.Context, *ListReferralUsersRequest) (*ListReferralUsersResponse, error)
	// User related data
	ListContactPerson(context.Context, *auth_common.ListContactPersonRequest) (*auth_common.ListContactPersonResponse, error)
	SaveContactPerson(context.Context, *auth_common.SaveContactPersonRequest) (*auth_common.SaveContactPersonResponse, error)
	DeleteContactPerson(context.Context, *auth_common.DeleteContactPersonRequest) (*auth_common.DeleteContactPersonResponse, error)
	ListLocation(context.Context, *auth_common.ListLocationRequest) (*auth_common.ListLocationResponse, error)
	SaveLocation(context.Context, *auth_common.SaveLocationRequest) (*auth_common.SaveLocationResponse, error)
	DeleteLocation(context.Context, *auth_common.DeleteLocationRequest) (*auth_common.DeleteLocationResponse, error)
	ListDocument(context.Context, *auth_common.ListDocumentRequest) (*auth_common.ListDocumentResponse, error)
	SaveDocument(context.Context, *auth_common.SaveDocumentRequest) (*auth_common.SaveDocumentResponse, error)
	DeleteDocument(context.Context, *auth_common.DeleteDocumentRequest) (*auth_common.DeleteDocumentResponse, error)
	// User counterparties
	GetCounterparty(context.Context, *auth_common.GetCounterpartyRequest) (*auth_common.GetCounterpartyResponse, error)
	ListCounterparty(context.Context, *auth_common.ListCounterpartyRequest) (*auth_common.ListCounterpartyResponse, error)
	SaveCounterparty(context.Context, *auth_common.SaveCounterpartyRequest) (*auth_common.SaveCounterpartyResponse, error)
	DeleteCounterparty(context.Context, *auth_common.DeleteCounterpartyRequest) (*auth_common.DeleteCounterpartyResponse, error)
	// User counterparty locations
	GetCounterpartyLocation(context.Context, *auth_common.GetCounterpartyLocationRequest) (*auth_common.GetCounterpartyLocationResponse, error)
	ListCounterpartyLocation(context.Context, *auth_common.ListCounterpartyLocationRequest) (*auth_common.ListCounterpartyLocationResponse, error)
	SaveCounterpartyLocation(context.Context, *auth_common.SaveCounterpartyLocationRequest) (*auth_common.SaveCounterpartyLocationResponse, error)
	DeleteCounterpartyLocation(context.Context, *auth_common.DeleteCounterpartyLocationRequest) (*auth_common.DeleteCounterpartyLocationResponse, error)
	SendPushNotification(context.Context, *SendPushRequest) (*SendPushResponse, error)
	SendPushNotificationToRole(context.Context, *SendPushRequestToRole) (*SendPushResponse, error)
	mustEmbedUnimplementedUserManagementServiceServer()
}

// UnimplementedUserManagementServiceServer must be embedded to have forward compatible implementations.
type UnimplementedUserManagementServiceServer struct {
}

func (UnimplementedUserManagementServiceServer) SendCode(context.Context, *SendCodeRequest) (*empty.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method SendCode not implemented")
}
func (UnimplementedUserManagementServiceServer) CheckCode(context.Context, *CheckCodeRequest) (*CheckCodeResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method CheckCode not implemented")
}
func (UnimplementedUserManagementServiceServer) CheckUserByLogin(context.Context, *CheckUserByLoginRequest) (*CheckUserByLoginResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method CheckUserByLogin not implemented")
}
func (UnimplementedUserManagementServiceServer) GetUser(context.Context, *GetUserRequest) (*auth_common.User, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetUser not implemented")
}
func (UnimplementedUserManagementServiceServer) ListUsers(context.Context, *ListUsersRequest) (*ListUsersResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListUsers not implemented")
}
func (UnimplementedUserManagementServiceServer) CreateUser(context.Context, *CreateUserRequest) (*auth_common.User, error) {
	return nil, status.Errorf(codes.Unimplemented, "method CreateUser not implemented")
}
func (UnimplementedUserManagementServiceServer) UpdateUser(context.Context, *UpdateUserRequest) (*auth_common.User, error) {
	return nil, status.Errorf(codes.Unimplemented, "method UpdateUser not implemented")
}
func (UnimplementedUserManagementServiceServer) CheckPassword(context.Context, *CheckPasswordRequest) (*CheckPasswordResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method CheckPassword not implemented")
}
func (UnimplementedUserManagementServiceServer) ChangePassword(context.Context, *ChangePasswordRequest) (*empty.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ChangePassword not implemented")
}
func (UnimplementedUserManagementServiceServer) LockUser(context.Context, *LockUserRequest) (*empty.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method LockUser not implemented")
}
func (UnimplementedUserManagementServiceServer) UnlockUser(context.Context, *UnlockUserRequest) (*empty.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method UnlockUser not implemented")
}
func (UnimplementedUserManagementServiceServer) InitPasswordReset(context.Context, *InitPasswordResetRequest) (*empty.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method InitPasswordReset not implemented")
}
func (UnimplementedUserManagementServiceServer) ValidatePasswordResetToken(context.Context, *ValidatePasswordResetTokenRequest) (*ValidatePasswordResetTokenResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ValidatePasswordResetToken not implemented")
}
func (UnimplementedUserManagementServiceServer) ResetPassword(context.Context, *ResetPasswordRequest) (*empty.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ResetPassword not implemented")
}
func (UnimplementedUserManagementServiceServer) GetUserResetToken(context.Context, *GetUserResetTokenRequest) (*GetUserResetTokenResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetUserResetToken not implemented")
}
func (UnimplementedUserManagementServiceServer) GetUsersByIds(context.Context, *GetUsersByIdsRequest) (*GetUsersByIdsResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetUsersByIds not implemented")
}
func (UnimplementedUserManagementServiceServer) GetUsersByPatternForMessage(context.Context, *GetUsersByPatternForMessageRequest) (*GetUsersByPatternForMessageResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetUsersByPatternForMessage not implemented")
}
func (UnimplementedUserManagementServiceServer) ListReferralUsers(context.Context, *ListReferralUsersRequest) (*ListReferralUsersResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListReferralUsers not implemented")
}
func (UnimplementedUserManagementServiceServer) ListContactPerson(context.Context, *auth_common.ListContactPersonRequest) (*auth_common.ListContactPersonResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListContactPerson not implemented")
}
func (UnimplementedUserManagementServiceServer) SaveContactPerson(context.Context, *auth_common.SaveContactPersonRequest) (*auth_common.SaveContactPersonResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method SaveContactPerson not implemented")
}
func (UnimplementedUserManagementServiceServer) DeleteContactPerson(context.Context, *auth_common.DeleteContactPersonRequest) (*auth_common.DeleteContactPersonResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method DeleteContactPerson not implemented")
}
func (UnimplementedUserManagementServiceServer) ListLocation(context.Context, *auth_common.ListLocationRequest) (*auth_common.ListLocationResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListLocation not implemented")
}
func (UnimplementedUserManagementServiceServer) SaveLocation(context.Context, *auth_common.SaveLocationRequest) (*auth_common.SaveLocationResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method SaveLocation not implemented")
}
func (UnimplementedUserManagementServiceServer) DeleteLocation(context.Context, *auth_common.DeleteLocationRequest) (*auth_common.DeleteLocationResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method DeleteLocation not implemented")
}
func (UnimplementedUserManagementServiceServer) ListDocument(context.Context, *auth_common.ListDocumentRequest) (*auth_common.ListDocumentResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListDocument not implemented")
}
func (UnimplementedUserManagementServiceServer) SaveDocument(context.Context, *auth_common.SaveDocumentRequest) (*auth_common.SaveDocumentResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method SaveDocument not implemented")
}
func (UnimplementedUserManagementServiceServer) DeleteDocument(context.Context, *auth_common.DeleteDocumentRequest) (*auth_common.DeleteDocumentResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method DeleteDocument not implemented")
}
func (UnimplementedUserManagementServiceServer) GetCounterparty(context.Context, *auth_common.GetCounterpartyRequest) (*auth_common.GetCounterpartyResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetCounterparty not implemented")
}
func (UnimplementedUserManagementServiceServer) ListCounterparty(context.Context, *auth_common.ListCounterpartyRequest) (*auth_common.ListCounterpartyResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListCounterparty not implemented")
}
func (UnimplementedUserManagementServiceServer) SaveCounterparty(context.Context, *auth_common.SaveCounterpartyRequest) (*auth_common.SaveCounterpartyResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method SaveCounterparty not implemented")
}
func (UnimplementedUserManagementServiceServer) DeleteCounterparty(context.Context, *auth_common.DeleteCounterpartyRequest) (*auth_common.DeleteCounterpartyResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method DeleteCounterparty not implemented")
}
func (UnimplementedUserManagementServiceServer) GetCounterpartyLocation(context.Context, *auth_common.GetCounterpartyLocationRequest) (*auth_common.GetCounterpartyLocationResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetCounterpartyLocation not implemented")
}
func (UnimplementedUserManagementServiceServer) ListCounterpartyLocation(context.Context, *auth_common.ListCounterpartyLocationRequest) (*auth_common.ListCounterpartyLocationResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListCounterpartyLocation not implemented")
}
func (UnimplementedUserManagementServiceServer) SaveCounterpartyLocation(context.Context, *auth_common.SaveCounterpartyLocationRequest) (*auth_common.SaveCounterpartyLocationResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method SaveCounterpartyLocation not implemented")
}
func (UnimplementedUserManagementServiceServer) DeleteCounterpartyLocation(context.Context, *auth_common.DeleteCounterpartyLocationRequest) (*auth_common.DeleteCounterpartyLocationResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method DeleteCounterpartyLocation not implemented")
}
func (UnimplementedUserManagementServiceServer) SendPushNotification(context.Context, *SendPushRequest) (*SendPushResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method SendPushNotification not implemented")
}
func (UnimplementedUserManagementServiceServer) SendPushNotificationToRole(context.Context, *SendPushRequestToRole) (*SendPushResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method SendPushNotificationToRole not implemented")
}
func (UnimplementedUserManagementServiceServer) mustEmbedUnimplementedUserManagementServiceServer() {}

// UnsafeUserManagementServiceServer may be embedded to opt out of forward compatibility for this service.
// Use of this interface is not recommended, as added methods to UserManagementServiceServer will
// result in compilation errors.
type UnsafeUserManagementServiceServer interface {
	mustEmbedUnimplementedUserManagementServiceServer()
}

func RegisterUserManagementServiceServer(s grpc.ServiceRegistrar, srv UserManagementServiceServer) {
	s.RegisterService(&UserManagementService_ServiceDesc, srv)
}

func _UserManagementService_SendCode_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(SendCodeRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserManagementServiceServer).SendCode(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_private.UserManagementService/SendCode",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserManagementServiceServer).SendCode(ctx, req.(*SendCodeRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _UserManagementService_CheckCode_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CheckCodeRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserManagementServiceServer).CheckCode(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_private.UserManagementService/CheckCode",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserManagementServiceServer).CheckCode(ctx, req.(*CheckCodeRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _UserManagementService_CheckUserByLogin_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CheckUserByLoginRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserManagementServiceServer).CheckUserByLogin(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_private.UserManagementService/CheckUserByLogin",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserManagementServiceServer).CheckUserByLogin(ctx, req.(*CheckUserByLoginRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _UserManagementService_GetUser_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetUserRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserManagementServiceServer).GetUser(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_private.UserManagementService/GetUser",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserManagementServiceServer).GetUser(ctx, req.(*GetUserRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _UserManagementService_ListUsers_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ListUsersRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserManagementServiceServer).ListUsers(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_private.UserManagementService/ListUsers",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserManagementServiceServer).ListUsers(ctx, req.(*ListUsersRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _UserManagementService_CreateUser_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CreateUserRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserManagementServiceServer).CreateUser(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_private.UserManagementService/CreateUser",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserManagementServiceServer).CreateUser(ctx, req.(*CreateUserRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _UserManagementService_UpdateUser_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(UpdateUserRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserManagementServiceServer).UpdateUser(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_private.UserManagementService/UpdateUser",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserManagementServiceServer).UpdateUser(ctx, req.(*UpdateUserRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _UserManagementService_CheckPassword_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CheckPasswordRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserManagementServiceServer).CheckPassword(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_private.UserManagementService/CheckPassword",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserManagementServiceServer).CheckPassword(ctx, req.(*CheckPasswordRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _UserManagementService_ChangePassword_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ChangePasswordRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserManagementServiceServer).ChangePassword(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_private.UserManagementService/ChangePassword",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserManagementServiceServer).ChangePassword(ctx, req.(*ChangePasswordRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _UserManagementService_LockUser_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(LockUserRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserManagementServiceServer).LockUser(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_private.UserManagementService/LockUser",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserManagementServiceServer).LockUser(ctx, req.(*LockUserRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _UserManagementService_UnlockUser_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(UnlockUserRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserManagementServiceServer).UnlockUser(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_private.UserManagementService/UnlockUser",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserManagementServiceServer).UnlockUser(ctx, req.(*UnlockUserRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _UserManagementService_InitPasswordReset_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(InitPasswordResetRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserManagementServiceServer).InitPasswordReset(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_private.UserManagementService/InitPasswordReset",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserManagementServiceServer).InitPasswordReset(ctx, req.(*InitPasswordResetRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _UserManagementService_ValidatePasswordResetToken_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ValidatePasswordResetTokenRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserManagementServiceServer).ValidatePasswordResetToken(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_private.UserManagementService/ValidatePasswordResetToken",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserManagementServiceServer).ValidatePasswordResetToken(ctx, req.(*ValidatePasswordResetTokenRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _UserManagementService_ResetPassword_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ResetPasswordRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserManagementServiceServer).ResetPassword(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_private.UserManagementService/ResetPassword",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserManagementServiceServer).ResetPassword(ctx, req.(*ResetPasswordRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _UserManagementService_GetUserResetToken_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetUserResetTokenRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserManagementServiceServer).GetUserResetToken(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_private.UserManagementService/GetUserResetToken",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserManagementServiceServer).GetUserResetToken(ctx, req.(*GetUserResetTokenRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _UserManagementService_GetUsersByIds_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetUsersByIdsRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserManagementServiceServer).GetUsersByIds(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_private.UserManagementService/GetUsersByIds",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserManagementServiceServer).GetUsersByIds(ctx, req.(*GetUsersByIdsRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _UserManagementService_GetUsersByPatternForMessage_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetUsersByPatternForMessageRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserManagementServiceServer).GetUsersByPatternForMessage(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_private.UserManagementService/GetUsersByPatternForMessage",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserManagementServiceServer).GetUsersByPatternForMessage(ctx, req.(*GetUsersByPatternForMessageRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _UserManagementService_ListReferralUsers_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ListReferralUsersRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserManagementServiceServer).ListReferralUsers(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_private.UserManagementService/ListReferralUsers",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserManagementServiceServer).ListReferralUsers(ctx, req.(*ListReferralUsersRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _UserManagementService_ListContactPerson_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(auth_common.ListContactPersonRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserManagementServiceServer).ListContactPerson(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_private.UserManagementService/ListContactPerson",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserManagementServiceServer).ListContactPerson(ctx, req.(*auth_common.ListContactPersonRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _UserManagementService_SaveContactPerson_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(auth_common.SaveContactPersonRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserManagementServiceServer).SaveContactPerson(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_private.UserManagementService/SaveContactPerson",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserManagementServiceServer).SaveContactPerson(ctx, req.(*auth_common.SaveContactPersonRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _UserManagementService_DeleteContactPerson_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(auth_common.DeleteContactPersonRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserManagementServiceServer).DeleteContactPerson(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_private.UserManagementService/DeleteContactPerson",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserManagementServiceServer).DeleteContactPerson(ctx, req.(*auth_common.DeleteContactPersonRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _UserManagementService_ListLocation_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(auth_common.ListLocationRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserManagementServiceServer).ListLocation(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_private.UserManagementService/ListLocation",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserManagementServiceServer).ListLocation(ctx, req.(*auth_common.ListLocationRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _UserManagementService_SaveLocation_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(auth_common.SaveLocationRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserManagementServiceServer).SaveLocation(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_private.UserManagementService/SaveLocation",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserManagementServiceServer).SaveLocation(ctx, req.(*auth_common.SaveLocationRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _UserManagementService_DeleteLocation_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(auth_common.DeleteLocationRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserManagementServiceServer).DeleteLocation(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_private.UserManagementService/DeleteLocation",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserManagementServiceServer).DeleteLocation(ctx, req.(*auth_common.DeleteLocationRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _UserManagementService_ListDocument_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(auth_common.ListDocumentRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserManagementServiceServer).ListDocument(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_private.UserManagementService/ListDocument",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserManagementServiceServer).ListDocument(ctx, req.(*auth_common.ListDocumentRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _UserManagementService_SaveDocument_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(auth_common.SaveDocumentRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserManagementServiceServer).SaveDocument(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_private.UserManagementService/SaveDocument",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserManagementServiceServer).SaveDocument(ctx, req.(*auth_common.SaveDocumentRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _UserManagementService_DeleteDocument_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(auth_common.DeleteDocumentRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserManagementServiceServer).DeleteDocument(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_private.UserManagementService/DeleteDocument",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserManagementServiceServer).DeleteDocument(ctx, req.(*auth_common.DeleteDocumentRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _UserManagementService_GetCounterparty_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(auth_common.GetCounterpartyRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserManagementServiceServer).GetCounterparty(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_private.UserManagementService/GetCounterparty",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserManagementServiceServer).GetCounterparty(ctx, req.(*auth_common.GetCounterpartyRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _UserManagementService_ListCounterparty_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(auth_common.ListCounterpartyRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserManagementServiceServer).ListCounterparty(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_private.UserManagementService/ListCounterparty",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserManagementServiceServer).ListCounterparty(ctx, req.(*auth_common.ListCounterpartyRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _UserManagementService_SaveCounterparty_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(auth_common.SaveCounterpartyRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserManagementServiceServer).SaveCounterparty(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_private.UserManagementService/SaveCounterparty",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserManagementServiceServer).SaveCounterparty(ctx, req.(*auth_common.SaveCounterpartyRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _UserManagementService_DeleteCounterparty_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(auth_common.DeleteCounterpartyRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserManagementServiceServer).DeleteCounterparty(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_private.UserManagementService/DeleteCounterparty",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserManagementServiceServer).DeleteCounterparty(ctx, req.(*auth_common.DeleteCounterpartyRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _UserManagementService_GetCounterpartyLocation_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(auth_common.GetCounterpartyLocationRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserManagementServiceServer).GetCounterpartyLocation(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_private.UserManagementService/GetCounterpartyLocation",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserManagementServiceServer).GetCounterpartyLocation(ctx, req.(*auth_common.GetCounterpartyLocationRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _UserManagementService_ListCounterpartyLocation_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(auth_common.ListCounterpartyLocationRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserManagementServiceServer).ListCounterpartyLocation(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_private.UserManagementService/ListCounterpartyLocation",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserManagementServiceServer).ListCounterpartyLocation(ctx, req.(*auth_common.ListCounterpartyLocationRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _UserManagementService_SaveCounterpartyLocation_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(auth_common.SaveCounterpartyLocationRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserManagementServiceServer).SaveCounterpartyLocation(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_private.UserManagementService/SaveCounterpartyLocation",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserManagementServiceServer).SaveCounterpartyLocation(ctx, req.(*auth_common.SaveCounterpartyLocationRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _UserManagementService_DeleteCounterpartyLocation_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(auth_common.DeleteCounterpartyLocationRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserManagementServiceServer).DeleteCounterpartyLocation(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_private.UserManagementService/DeleteCounterpartyLocation",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserManagementServiceServer).DeleteCounterpartyLocation(ctx, req.(*auth_common.DeleteCounterpartyLocationRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _UserManagementService_SendPushNotification_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(SendPushRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserManagementServiceServer).SendPushNotification(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_private.UserManagementService/SendPushNotification",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserManagementServiceServer).SendPushNotification(ctx, req.(*SendPushRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _UserManagementService_SendPushNotificationToRole_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(SendPushRequestToRole)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserManagementServiceServer).SendPushNotificationToRole(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_private.UserManagementService/SendPushNotificationToRole",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserManagementServiceServer).SendPushNotificationToRole(ctx, req.(*SendPushRequestToRole))
	}
	return interceptor(ctx, in, info, handler)
}

// UserManagementService_ServiceDesc is the grpc.ServiceDesc for UserManagementService service.
// It's only intended for direct use with grpc.RegisterService,
// and not to be introspected or modified (even as a copy)
var UserManagementService_ServiceDesc = grpc.ServiceDesc{
	ServiceName: "fcp.accounting.v1.auth_private.UserManagementService",
	HandlerType: (*UserManagementServiceServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "SendCode",
			Handler:    _UserManagementService_SendCode_Handler,
		},
		{
			MethodName: "CheckCode",
			Handler:    _UserManagementService_CheckCode_Handler,
		},
		{
			MethodName: "CheckUserByLogin",
			Handler:    _UserManagementService_CheckUserByLogin_Handler,
		},
		{
			MethodName: "GetUser",
			Handler:    _UserManagementService_GetUser_Handler,
		},
		{
			MethodName: "ListUsers",
			Handler:    _UserManagementService_ListUsers_Handler,
		},
		{
			MethodName: "CreateUser",
			Handler:    _UserManagementService_CreateUser_Handler,
		},
		{
			MethodName: "UpdateUser",
			Handler:    _UserManagementService_UpdateUser_Handler,
		},
		{
			MethodName: "CheckPassword",
			Handler:    _UserManagementService_CheckPassword_Handler,
		},
		{
			MethodName: "ChangePassword",
			Handler:    _UserManagementService_ChangePassword_Handler,
		},
		{
			MethodName: "LockUser",
			Handler:    _UserManagementService_LockUser_Handler,
		},
		{
			MethodName: "UnlockUser",
			Handler:    _UserManagementService_UnlockUser_Handler,
		},
		{
			MethodName: "InitPasswordReset",
			Handler:    _UserManagementService_InitPasswordReset_Handler,
		},
		{
			MethodName: "ValidatePasswordResetToken",
			Handler:    _UserManagementService_ValidatePasswordResetToken_Handler,
		},
		{
			MethodName: "ResetPassword",
			Handler:    _UserManagementService_ResetPassword_Handler,
		},
		{
			MethodName: "GetUserResetToken",
			Handler:    _UserManagementService_GetUserResetToken_Handler,
		},
		{
			MethodName: "GetUsersByIds",
			Handler:    _UserManagementService_GetUsersByIds_Handler,
		},
		{
			MethodName: "GetUsersByPatternForMessage",
			Handler:    _UserManagementService_GetUsersByPatternForMessage_Handler,
		},
		{
			MethodName: "ListReferralUsers",
			Handler:    _UserManagementService_ListReferralUsers_Handler,
		},
		{
			MethodName: "ListContactPerson",
			Handler:    _UserManagementService_ListContactPerson_Handler,
		},
		{
			MethodName: "SaveContactPerson",
			Handler:    _UserManagementService_SaveContactPerson_Handler,
		},
		{
			MethodName: "DeleteContactPerson",
			Handler:    _UserManagementService_DeleteContactPerson_Handler,
		},
		{
			MethodName: "ListLocation",
			Handler:    _UserManagementService_ListLocation_Handler,
		},
		{
			MethodName: "SaveLocation",
			Handler:    _UserManagementService_SaveLocation_Handler,
		},
		{
			MethodName: "DeleteLocation",
			Handler:    _UserManagementService_DeleteLocation_Handler,
		},
		{
			MethodName: "ListDocument",
			Handler:    _UserManagementService_ListDocument_Handler,
		},
		{
			MethodName: "SaveDocument",
			Handler:    _UserManagementService_SaveDocument_Handler,
		},
		{
			MethodName: "DeleteDocument",
			Handler:    _UserManagementService_DeleteDocument_Handler,
		},
		{
			MethodName: "GetCounterparty",
			Handler:    _UserManagementService_GetCounterparty_Handler,
		},
		{
			MethodName: "ListCounterparty",
			Handler:    _UserManagementService_ListCounterparty_Handler,
		},
		{
			MethodName: "SaveCounterparty",
			Handler:    _UserManagementService_SaveCounterparty_Handler,
		},
		{
			MethodName: "DeleteCounterparty",
			Handler:    _UserManagementService_DeleteCounterparty_Handler,
		},
		{
			MethodName: "GetCounterpartyLocation",
			Handler:    _UserManagementService_GetCounterpartyLocation_Handler,
		},
		{
			MethodName: "ListCounterpartyLocation",
			Handler:    _UserManagementService_ListCounterpartyLocation_Handler,
		},
		{
			MethodName: "SaveCounterpartyLocation",
			Handler:    _UserManagementService_SaveCounterpartyLocation_Handler,
		},
		{
			MethodName: "DeleteCounterpartyLocation",
			Handler:    _UserManagementService_DeleteCounterpartyLocation_Handler,
		},
		{
			MethodName: "SendPushNotification",
			Handler:    _UserManagementService_SendPushNotification_Handler,
		},
		{
			MethodName: "SendPushNotificationToRole",
			Handler:    _UserManagementService_SendPushNotificationToRole_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "v1/auth_private/auth_service.proto",
}

// RoleManagementServiceClient is the client API for RoleManagementService service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://pkg.go.dev/google.golang.org/grpc/?tab=doc#ClientConn.NewStream.
type RoleManagementServiceClient interface {
	GetRole(ctx context.Context, in *GetRoleRequest, opts ...grpc.CallOption) (*GetRoleResponse, error)
	CreateRole(ctx context.Context, in *CreateRoleRequest, opts ...grpc.CallOption) (*CreateRoleResponse, error)
	ListRoles(ctx context.Context, in *ListRolesRequest, opts ...grpc.CallOption) (*ListRolesResponse, error)
	UpdateRole(ctx context.Context, in *UpdateRoleRequest, opts ...grpc.CallOption) (*UpdateRoleResponse, error)
	GetPermission(ctx context.Context, in *GetPermissionRequest, opts ...grpc.CallOption) (*GetPermissionResponse, error)
	CreatePermission(ctx context.Context, in *CreatePermissionRequest, opts ...grpc.CallOption) (*CreatePermissionResponse, error)
	UpdatePermission(ctx context.Context, in *UpdatePermissionRequest, opts ...grpc.CallOption) (*UpdatePermissionResponse, error)
	DeletePermission(ctx context.Context, in *DeletePermissionRequest, opts ...grpc.CallOption) (*DeletePermissionResponse, error)
	ListPermissions(ctx context.Context, in *ListPermissionsRequest, opts ...grpc.CallOption) (*ListPermissionsResponse, error)
}

type roleManagementServiceClient struct {
	cc grpc.ClientConnInterface
}

func NewRoleManagementServiceClient(cc grpc.ClientConnInterface) RoleManagementServiceClient {
	return &roleManagementServiceClient{cc}
}

func (c *roleManagementServiceClient) GetRole(ctx context.Context, in *GetRoleRequest, opts ...grpc.CallOption) (*GetRoleResponse, error) {
	out := new(GetRoleResponse)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_private.RoleManagementService/GetRole", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *roleManagementServiceClient) CreateRole(ctx context.Context, in *CreateRoleRequest, opts ...grpc.CallOption) (*CreateRoleResponse, error) {
	out := new(CreateRoleResponse)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_private.RoleManagementService/CreateRole", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *roleManagementServiceClient) ListRoles(ctx context.Context, in *ListRolesRequest, opts ...grpc.CallOption) (*ListRolesResponse, error) {
	out := new(ListRolesResponse)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_private.RoleManagementService/ListRoles", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *roleManagementServiceClient) UpdateRole(ctx context.Context, in *UpdateRoleRequest, opts ...grpc.CallOption) (*UpdateRoleResponse, error) {
	out := new(UpdateRoleResponse)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_private.RoleManagementService/UpdateRole", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *roleManagementServiceClient) GetPermission(ctx context.Context, in *GetPermissionRequest, opts ...grpc.CallOption) (*GetPermissionResponse, error) {
	out := new(GetPermissionResponse)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_private.RoleManagementService/GetPermission", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *roleManagementServiceClient) CreatePermission(ctx context.Context, in *CreatePermissionRequest, opts ...grpc.CallOption) (*CreatePermissionResponse, error) {
	out := new(CreatePermissionResponse)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_private.RoleManagementService/CreatePermission", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *roleManagementServiceClient) UpdatePermission(ctx context.Context, in *UpdatePermissionRequest, opts ...grpc.CallOption) (*UpdatePermissionResponse, error) {
	out := new(UpdatePermissionResponse)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_private.RoleManagementService/UpdatePermission", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *roleManagementServiceClient) DeletePermission(ctx context.Context, in *DeletePermissionRequest, opts ...grpc.CallOption) (*DeletePermissionResponse, error) {
	out := new(DeletePermissionResponse)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_private.RoleManagementService/DeletePermission", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *roleManagementServiceClient) ListPermissions(ctx context.Context, in *ListPermissionsRequest, opts ...grpc.CallOption) (*ListPermissionsResponse, error) {
	out := new(ListPermissionsResponse)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_private.RoleManagementService/ListPermissions", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// RoleManagementServiceServer is the server API for RoleManagementService service.
// All implementations must embed UnimplementedRoleManagementServiceServer
// for forward compatibility
type RoleManagementServiceServer interface {
	GetRole(context.Context, *GetRoleRequest) (*GetRoleResponse, error)
	CreateRole(context.Context, *CreateRoleRequest) (*CreateRoleResponse, error)
	ListRoles(context.Context, *ListRolesRequest) (*ListRolesResponse, error)
	UpdateRole(context.Context, *UpdateRoleRequest) (*UpdateRoleResponse, error)
	GetPermission(context.Context, *GetPermissionRequest) (*GetPermissionResponse, error)
	CreatePermission(context.Context, *CreatePermissionRequest) (*CreatePermissionResponse, error)
	UpdatePermission(context.Context, *UpdatePermissionRequest) (*UpdatePermissionResponse, error)
	DeletePermission(context.Context, *DeletePermissionRequest) (*DeletePermissionResponse, error)
	ListPermissions(context.Context, *ListPermissionsRequest) (*ListPermissionsResponse, error)
	mustEmbedUnimplementedRoleManagementServiceServer()
}

// UnimplementedRoleManagementServiceServer must be embedded to have forward compatible implementations.
type UnimplementedRoleManagementServiceServer struct {
}

func (UnimplementedRoleManagementServiceServer) GetRole(context.Context, *GetRoleRequest) (*GetRoleResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetRole not implemented")
}
func (UnimplementedRoleManagementServiceServer) CreateRole(context.Context, *CreateRoleRequest) (*CreateRoleResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method CreateRole not implemented")
}
func (UnimplementedRoleManagementServiceServer) ListRoles(context.Context, *ListRolesRequest) (*ListRolesResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListRoles not implemented")
}
func (UnimplementedRoleManagementServiceServer) UpdateRole(context.Context, *UpdateRoleRequest) (*UpdateRoleResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method UpdateRole not implemented")
}
func (UnimplementedRoleManagementServiceServer) GetPermission(context.Context, *GetPermissionRequest) (*GetPermissionResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetPermission not implemented")
}
func (UnimplementedRoleManagementServiceServer) CreatePermission(context.Context, *CreatePermissionRequest) (*CreatePermissionResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method CreatePermission not implemented")
}
func (UnimplementedRoleManagementServiceServer) UpdatePermission(context.Context, *UpdatePermissionRequest) (*UpdatePermissionResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method UpdatePermission not implemented")
}
func (UnimplementedRoleManagementServiceServer) DeletePermission(context.Context, *DeletePermissionRequest) (*DeletePermissionResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method DeletePermission not implemented")
}
func (UnimplementedRoleManagementServiceServer) ListPermissions(context.Context, *ListPermissionsRequest) (*ListPermissionsResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListPermissions not implemented")
}
func (UnimplementedRoleManagementServiceServer) mustEmbedUnimplementedRoleManagementServiceServer() {}

// UnsafeRoleManagementServiceServer may be embedded to opt out of forward compatibility for this service.
// Use of this interface is not recommended, as added methods to RoleManagementServiceServer will
// result in compilation errors.
type UnsafeRoleManagementServiceServer interface {
	mustEmbedUnimplementedRoleManagementServiceServer()
}

func RegisterRoleManagementServiceServer(s grpc.ServiceRegistrar, srv RoleManagementServiceServer) {
	s.RegisterService(&RoleManagementService_ServiceDesc, srv)
}

func _RoleManagementService_GetRole_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetRoleRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(RoleManagementServiceServer).GetRole(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_private.RoleManagementService/GetRole",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(RoleManagementServiceServer).GetRole(ctx, req.(*GetRoleRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _RoleManagementService_CreateRole_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CreateRoleRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(RoleManagementServiceServer).CreateRole(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_private.RoleManagementService/CreateRole",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(RoleManagementServiceServer).CreateRole(ctx, req.(*CreateRoleRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _RoleManagementService_ListRoles_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ListRolesRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(RoleManagementServiceServer).ListRoles(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_private.RoleManagementService/ListRoles",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(RoleManagementServiceServer).ListRoles(ctx, req.(*ListRolesRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _RoleManagementService_UpdateRole_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(UpdateRoleRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(RoleManagementServiceServer).UpdateRole(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_private.RoleManagementService/UpdateRole",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(RoleManagementServiceServer).UpdateRole(ctx, req.(*UpdateRoleRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _RoleManagementService_GetPermission_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetPermissionRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(RoleManagementServiceServer).GetPermission(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_private.RoleManagementService/GetPermission",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(RoleManagementServiceServer).GetPermission(ctx, req.(*GetPermissionRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _RoleManagementService_CreatePermission_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CreatePermissionRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(RoleManagementServiceServer).CreatePermission(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_private.RoleManagementService/CreatePermission",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(RoleManagementServiceServer).CreatePermission(ctx, req.(*CreatePermissionRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _RoleManagementService_UpdatePermission_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(UpdatePermissionRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(RoleManagementServiceServer).UpdatePermission(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_private.RoleManagementService/UpdatePermission",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(RoleManagementServiceServer).UpdatePermission(ctx, req.(*UpdatePermissionRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _RoleManagementService_DeletePermission_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DeletePermissionRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(RoleManagementServiceServer).DeletePermission(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_private.RoleManagementService/DeletePermission",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(RoleManagementServiceServer).DeletePermission(ctx, req.(*DeletePermissionRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _RoleManagementService_ListPermissions_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ListPermissionsRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(RoleManagementServiceServer).ListPermissions(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_private.RoleManagementService/ListPermissions",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(RoleManagementServiceServer).ListPermissions(ctx, req.(*ListPermissionsRequest))
	}
	return interceptor(ctx, in, info, handler)
}

// RoleManagementService_ServiceDesc is the grpc.ServiceDesc for RoleManagementService service.
// It's only intended for direct use with grpc.RegisterService,
// and not to be introspected or modified (even as a copy)
var RoleManagementService_ServiceDesc = grpc.ServiceDesc{
	ServiceName: "fcp.accounting.v1.auth_private.RoleManagementService",
	HandlerType: (*RoleManagementServiceServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "GetRole",
			Handler:    _RoleManagementService_GetRole_Handler,
		},
		{
			MethodName: "CreateRole",
			Handler:    _RoleManagementService_CreateRole_Handler,
		},
		{
			MethodName: "ListRoles",
			Handler:    _RoleManagementService_ListRoles_Handler,
		},
		{
			MethodName: "UpdateRole",
			Handler:    _RoleManagementService_UpdateRole_Handler,
		},
		{
			MethodName: "GetPermission",
			Handler:    _RoleManagementService_GetPermission_Handler,
		},
		{
			MethodName: "CreatePermission",
			Handler:    _RoleManagementService_CreatePermission_Handler,
		},
		{
			MethodName: "UpdatePermission",
			Handler:    _RoleManagementService_UpdatePermission_Handler,
		},
		{
			MethodName: "DeletePermission",
			Handler:    _RoleManagementService_DeletePermission_Handler,
		},
		{
			MethodName: "ListPermissions",
			Handler:    _RoleManagementService_ListPermissions_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "v1/auth_private/auth_service.proto",
}

// AuthSessionServiceClient is the client API for AuthSessionService service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://pkg.go.dev/google.golang.org/grpc/?tab=doc#ClientConn.NewStream.
type AuthSessionServiceClient interface {
	Login(ctx context.Context, in *LoginRequest, opts ...grpc.CallOption) (*LoginResponse, error)
	Logout(ctx context.Context, in *LogoutRequest, opts ...grpc.CallOption) (*empty.Empty, error)
	ValidateSession(ctx context.Context, in *ValidateSessionRequest, opts ...grpc.CallOption) (*ValidateSessionResponse, error)
	ValidateUserSession(ctx context.Context, in *ValidateUserSessionRequest, opts ...grpc.CallOption) (*ValidateUserSessionResponse, error)
	ValidateWsSession(ctx context.Context, in *ValidateWsSessionRequest, opts ...grpc.CallOption) (*ValidateWsSessionResponse, error)
	ResetSession(ctx context.Context, in *ResetSessionRequest, opts ...grpc.CallOption) (*empty.Empty, error)
	ListSessions(ctx context.Context, in *ListSessionsRequest, opts ...grpc.CallOption) (*ListSessionsResponse, error)
}

type authSessionServiceClient struct {
	cc grpc.ClientConnInterface
}

func NewAuthSessionServiceClient(cc grpc.ClientConnInterface) AuthSessionServiceClient {
	return &authSessionServiceClient{cc}
}

func (c *authSessionServiceClient) Login(ctx context.Context, in *LoginRequest, opts ...grpc.CallOption) (*LoginResponse, error) {
	out := new(LoginResponse)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_private.AuthSessionService/Login", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *authSessionServiceClient) Logout(ctx context.Context, in *LogoutRequest, opts ...grpc.CallOption) (*empty.Empty, error) {
	out := new(empty.Empty)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_private.AuthSessionService/Logout", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *authSessionServiceClient) ValidateSession(ctx context.Context, in *ValidateSessionRequest, opts ...grpc.CallOption) (*ValidateSessionResponse, error) {
	out := new(ValidateSessionResponse)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_private.AuthSessionService/ValidateSession", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *authSessionServiceClient) ValidateUserSession(ctx context.Context, in *ValidateUserSessionRequest, opts ...grpc.CallOption) (*ValidateUserSessionResponse, error) {
	out := new(ValidateUserSessionResponse)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_private.AuthSessionService/ValidateUserSession", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *authSessionServiceClient) ValidateWsSession(ctx context.Context, in *ValidateWsSessionRequest, opts ...grpc.CallOption) (*ValidateWsSessionResponse, error) {
	out := new(ValidateWsSessionResponse)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_private.AuthSessionService/ValidateWsSession", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *authSessionServiceClient) ResetSession(ctx context.Context, in *ResetSessionRequest, opts ...grpc.CallOption) (*empty.Empty, error) {
	out := new(empty.Empty)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_private.AuthSessionService/ResetSession", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *authSessionServiceClient) ListSessions(ctx context.Context, in *ListSessionsRequest, opts ...grpc.CallOption) (*ListSessionsResponse, error) {
	out := new(ListSessionsResponse)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_private.AuthSessionService/ListSessions", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// AuthSessionServiceServer is the server API for AuthSessionService service.
// All implementations must embed UnimplementedAuthSessionServiceServer
// for forward compatibility
type AuthSessionServiceServer interface {
	Login(context.Context, *LoginRequest) (*LoginResponse, error)
	Logout(context.Context, *LogoutRequest) (*empty.Empty, error)
	ValidateSession(context.Context, *ValidateSessionRequest) (*ValidateSessionResponse, error)
	ValidateUserSession(context.Context, *ValidateUserSessionRequest) (*ValidateUserSessionResponse, error)
	ValidateWsSession(context.Context, *ValidateWsSessionRequest) (*ValidateWsSessionResponse, error)
	ResetSession(context.Context, *ResetSessionRequest) (*empty.Empty, error)
	ListSessions(context.Context, *ListSessionsRequest) (*ListSessionsResponse, error)
	mustEmbedUnimplementedAuthSessionServiceServer()
}

// UnimplementedAuthSessionServiceServer must be embedded to have forward compatible implementations.
type UnimplementedAuthSessionServiceServer struct {
}

func (UnimplementedAuthSessionServiceServer) Login(context.Context, *LoginRequest) (*LoginResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Login not implemented")
}
func (UnimplementedAuthSessionServiceServer) Logout(context.Context, *LogoutRequest) (*empty.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Logout not implemented")
}
func (UnimplementedAuthSessionServiceServer) ValidateSession(context.Context, *ValidateSessionRequest) (*ValidateSessionResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ValidateSession not implemented")
}
func (UnimplementedAuthSessionServiceServer) ValidateUserSession(context.Context, *ValidateUserSessionRequest) (*ValidateUserSessionResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ValidateUserSession not implemented")
}
func (UnimplementedAuthSessionServiceServer) ValidateWsSession(context.Context, *ValidateWsSessionRequest) (*ValidateWsSessionResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ValidateWsSession not implemented")
}
func (UnimplementedAuthSessionServiceServer) ResetSession(context.Context, *ResetSessionRequest) (*empty.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ResetSession not implemented")
}
func (UnimplementedAuthSessionServiceServer) ListSessions(context.Context, *ListSessionsRequest) (*ListSessionsResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListSessions not implemented")
}
func (UnimplementedAuthSessionServiceServer) mustEmbedUnimplementedAuthSessionServiceServer() {}

// UnsafeAuthSessionServiceServer may be embedded to opt out of forward compatibility for this service.
// Use of this interface is not recommended, as added methods to AuthSessionServiceServer will
// result in compilation errors.
type UnsafeAuthSessionServiceServer interface {
	mustEmbedUnimplementedAuthSessionServiceServer()
}

func RegisterAuthSessionServiceServer(s grpc.ServiceRegistrar, srv AuthSessionServiceServer) {
	s.RegisterService(&AuthSessionService_ServiceDesc, srv)
}

func _AuthSessionService_Login_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(LoginRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(AuthSessionServiceServer).Login(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_private.AuthSessionService/Login",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(AuthSessionServiceServer).Login(ctx, req.(*LoginRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _AuthSessionService_Logout_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(LogoutRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(AuthSessionServiceServer).Logout(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_private.AuthSessionService/Logout",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(AuthSessionServiceServer).Logout(ctx, req.(*LogoutRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _AuthSessionService_ValidateSession_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ValidateSessionRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(AuthSessionServiceServer).ValidateSession(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_private.AuthSessionService/ValidateSession",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(AuthSessionServiceServer).ValidateSession(ctx, req.(*ValidateSessionRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _AuthSessionService_ValidateUserSession_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ValidateUserSessionRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(AuthSessionServiceServer).ValidateUserSession(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_private.AuthSessionService/ValidateUserSession",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(AuthSessionServiceServer).ValidateUserSession(ctx, req.(*ValidateUserSessionRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _AuthSessionService_ValidateWsSession_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ValidateWsSessionRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(AuthSessionServiceServer).ValidateWsSession(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_private.AuthSessionService/ValidateWsSession",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(AuthSessionServiceServer).ValidateWsSession(ctx, req.(*ValidateWsSessionRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _AuthSessionService_ResetSession_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ResetSessionRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(AuthSessionServiceServer).ResetSession(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_private.AuthSessionService/ResetSession",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(AuthSessionServiceServer).ResetSession(ctx, req.(*ResetSessionRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _AuthSessionService_ListSessions_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ListSessionsRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(AuthSessionServiceServer).ListSessions(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_private.AuthSessionService/ListSessions",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(AuthSessionServiceServer).ListSessions(ctx, req.(*ListSessionsRequest))
	}
	return interceptor(ctx, in, info, handler)
}

// AuthSessionService_ServiceDesc is the grpc.ServiceDesc for AuthSessionService service.
// It's only intended for direct use with grpc.RegisterService,
// and not to be introspected or modified (even as a copy)
var AuthSessionService_ServiceDesc = grpc.ServiceDesc{
	ServiceName: "fcp.accounting.v1.auth_private.AuthSessionService",
	HandlerType: (*AuthSessionServiceServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "Login",
			Handler:    _AuthSessionService_Login_Handler,
		},
		{
			MethodName: "Logout",
			Handler:    _AuthSessionService_Logout_Handler,
		},
		{
			MethodName: "ValidateSession",
			Handler:    _AuthSessionService_ValidateSession_Handler,
		},
		{
			MethodName: "ValidateUserSession",
			Handler:    _AuthSessionService_ValidateUserSession_Handler,
		},
		{
			MethodName: "ValidateWsSession",
			Handler:    _AuthSessionService_ValidateWsSession_Handler,
		},
		{
			MethodName: "ResetSession",
			Handler:    _AuthSessionService_ResetSession_Handler,
		},
		{
			MethodName: "ListSessions",
			Handler:    _AuthSessionService_ListSessions_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "v1/auth_private/auth_service.proto",
}
